vn.py量化社区
By Traders, For Traders.
Member
avatar
加入于:
帖子: 11
声望: 2

在Anaconda Prompt按照要求pip手动更新至2.02版本后,桌面的VN Station双击无反应 ,软件打不开。求助

未更新前,一切正常可用。卸载2.20版本再重新安装2.01版本也无法打开了。

Member
avatar
加入于:
帖子: 8
声望: 0

我的是 安装新版后 vn station能打开但打开trader后报错进不去

Member
avatar
加入于:
帖子: 11
声望: 2

C:\ProgramData\VNConda\Lib\site-packages\vnstation>python run.py
Traceback (most recent call last):
File "run.py", line 3, in <module>
from vnpy.trader.ui import QtGui, create_qapp
File "C:\ProgramData\VNConda\lib\site-packages\vnpy\trader\ui__init.py", li
ne 9, in <module>
from .mainwindow import MainWindow
File "C:\ProgramData\VNConda\lib\site-packages\vnpy\trader\ui\mainwindow.py",
line 13, in <module>
from .widget import (
File "C:\ProgramData\VNConda\lib\site-packages\vnpy\trader\ui\widget.py", line
13, in <module>
from ..engine import MainEngine
File "C:\ProgramData\VNConda\lib\site-packages\vnpy\trader\engine.py", line 26
, in <module>
from .setting import SETTINGS
File "C:\ProgramData\VNConda\lib\site-packages\vnpy\trader\setting.py", line 3
9, in <module>
SETTINGS.update(load_json(SETTING_FILENAME))
File "C:\ProgramData\VNConda\lib\site-packages\vnpy\trader\utility.py", line 8
8, in load_json
data = json.load(f)
File "C:\ProgramData\VNConda\lib\json\
init.py", line 296, in load
parse_constant=parse_constant, object_pairs_hook=object_pairs_hook, **kw)
File "C:\ProgramData\VNConda\lib\json\
init__.py", line 348, in loads
return _default_decoder.decode(s)
File "C:\ProgramData\VNConda\lib\json\decoder.py", line 337, in decode
obj, end = self.raw_decode(s, idx=_w(s, 0).end())
File "C:\ProgramData\VNConda\lib\json\decoder.py", line 353, in raw_decode
obj, end = self.scan_once(s, idx)
json.decoder.JSONDecodeError: Expecting ',' delimiter: line 3 column 2 (char 36)

C:\ProgramData\VNConda\Lib\site-packages\vnstation>

Member
avatar
加入于:
帖子: 8
声望: 0

你居然能复制下来

Member
avatar
加入于:
帖子: 11
声望: 2

wanggang66666 wrote:

你居然能复制下来

你也报同样错么

Member
avatar
加入于:
帖子: 11
声望: 2

pip uninstall scipy
pip install scipy

尝试过,也不能解决

Member
avatar
加入于:
帖子: 8
声望: 0

少川 wrote:

pip uninstall scipy
pip install scipy

尝试过,也不能解决

Member
avatar
加入于:
帖子: 8
声望: 0

我本来昨天晚上弄好了 但今天早上看到一个陈晓优的一个视频,说最好把以前的python环境都卸载干净装vncode,然后我就这样做了,结果就又报错了 (ImportError: DLL load failed: 找不到指定的模块。) 一天了也没弄好。

Member
avatar
加入于:
帖子: 3
声望: 0

想问下楼主解决这个问题了么,我现在也遇到了这个问题

Member
avatar
加入于:
帖子: 3
声望: 0

想问下楼主解决这个问题了么,我现在也遇到了这个问题

Member
avatar
加入于:
帖子: 13
声望: 0

同遇到此问题 怎么解决的

Member
avatar
加入于:
帖子: 11
声望: 2

我这儿还没找到解决办法

Administrator
avatar
加入于:
帖子: 185
声望: 24

由于2.0.2依赖于miniconda,这不稳地会出现莫名其妙的bug。
现在重新打包封装的VN Studio 2.0.3应该能解决以上问题

© 2015-2019 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3